

function nvr_play(){	
	
	var twidget = new Widget({
		style: 'margin: 4px; float: left; width: 80px; height: 80px; position: relative;\
			display: block; z-index: 1000000; background: black; background-size: 100% 100%;', 
		className: 'draggable cloneable',
		set: 'nvr_play',
		type: 'default',
		id: 'Default-Widget-20',
		init: function(){
			this.ontopanel();
		}
	});
	twidget.core.nvr = "none";
	twidget.core.channels = [0,0,0,0,0,0,0,0,0,0];
	twidget.core.playlist = [];
	twidget.core.status = {};
	twidget.core.dev = true;
	twidget.ontopanel = function(){
		console.log('testing');
		var self = this;
	
		if (!activepanel){
			this.doubleclick = function(){
				
				pb.openDialog({
					title: '<span style="font-size: 21px;">Widget Properties:</span>',
					content: '<!--<br>Select an NVR:<br>-->\
						<br>IP Address:<br>\
						<!--<select id="dialog_unitlist"><option value="none">[NVR...]</option></select\
						>&nbsp;&nbsp;&nbsp;<input id="dialog_discover" type="button" value="discover"\
						/>--><input type="text" id="dialog_ipaddress" />\
						<br><br>Channels:<br>1&nbsp;<input id="dialog_0" type="checkbox" />&nbsp;\
						2&nbsp;<input id="dialog_1" type="checkbox" />&nbsp;\
						3&nbsp;<input id="dialog_2" type="checkbox" />&nbsp;\
						4&nbsp;<input id="dialog_3" type="checkbox" />&nbsp;\
						5&nbsp;<input id="dialog_4" type="checkbox" />&nbsp;\
						6&nbsp;<input id="dialog_5" type="checkbox" />&nbsp;\
						7&nbsp;<input id="dialog_6" type="checkbox" />&nbsp;\
						8&nbsp;<input id="dialog_7" type="checkbox" />&nbsp;\
						9&nbsp;<input id="dialog_8" type="checkbox" />&nbsp;\
						10&nbsp;<input id="dialog_9" type="checkbox" />&nbsp;',
					style: {
						width: '470px', 
						height: '200px', 
						background: 'black',
						color: 'rgb(238, 238, 238)',
						margin: '15px',
						'border-radius': '15px',
						padding: '20px'
					},
					onCancel: function(){pb.closeDialog();},
					onConfirm: function(){
						
						for (var i=0; i<10; i++){
							if ($('#dialog_'+i).prop('checked')){
								self.core.channels[i] = true;
							}
							else self.core.channels[i] = false;
						}
						
						var nvr = $('#dialog_ipaddress').val();
						
						if (nvr != "none"){
							self.core.nvr = { ip: nvr };
							console.log('setting', self, self.core.nvr);
						}
						else {
							self.core.nvr = false;
							console.log('unsetting', self, self.core.nvr);
						}
						
						pb.closeDialog();
						
					},
					init: function(){
					
						for (var i=0; i<self.core.channels.length; i++){
							if (self.core.channels[i]){
								$('#dialog_'+i).prop('checked', true);
							}
						}
						if (self.core.nvr){
							$('#dialog_ipaddress').val(self.core.nvr.ip);
						}	
						
					}
				});

			};
		
		}
		else {
			if (self.core.nvr){
				var count = 0;
				self.core.playlist = [];
				
				setTimeout(function(){
					tcpclient(self.core.nvr.ip, 50001, asciiToHex('nvr'), function(data){}, {});
				}, 1000);
				
				self.core.__playlist = '';
				tcpclient(self.core.nvr.ip, 50001, asciiToHex('list\r'), function(data){
					if (self.debug) console.log('from_NVR', data);
					self.core.__playlist += data;
				}, {last_line: '*', autoclose: false, timeout: false, onDestroy: function(){
				
					var data = self.core.__playlist;
					self.core.playlist = [];
					while (data.indexOf('+') !== -1){
						var tobj = {};
						var tstr = data.substring(0, data.indexOf('+'));
						while (tstr.indexOf('\r') !== -1){
							var s1 = tstr.substring(0, tstr.indexOf('\r'));
							var t1 = s1.substring(0, s1.indexOf(':'));
							var t2 = s1.substring(s1.indexOf(':')+1);
							if (t1 !== "") tobj[t1] = t2;
							var tstr = tstr.substring(tstr.indexOf('\r')+1);
						}
						self.core.playlist.push(tobj);
						data = data.substring(data.indexOf('+')+1);
					}
					var tobj = {};
					var tstr = data.substring(0, data.indexOf('*'));
					while (tstr.indexOf('\r') !== -1){
						var s1 = tstr.substring(0, tstr.indexOf('\r'));
						var t1 = s1.substring(0, s1.indexOf(':'));
						var t2 = s1.substring(s1.indexOf(':')+1);
						if (t1 !== "") tobj[t1] = t2;
						var tstr = tstr.substring(tstr.indexOf('\r')+1);
					}
					self.core.playlist.push(tobj);
					if (self.debug) console.log('NVR_playlist', self.core.playlist);
					
					//websocket.emit('message', {command: 'request', request: 'get', url: 'http://'+self.core.nvr.ip+'/nseriesGetParams.php'}, function(data){
					//	console.log('o.o data', data);
					//	data = xmlToJson($.parseXML(data)).nvr;
					//	for (prop in data){
					//		data[prop] = data[prop]['#text'] || '';
					//	}
					tcpclient(self.core.nvr.ip, 50001, asciiToHex('getStatus\r'), function(data){
						if (self.debug) console.log('NVR_status', data);
						var obj = {};
						while (data.indexOf('\r') !== -1){
							var tstr = data.substring(0, data.indexOf('\r'));
							if (tstr.indexOf(':') === -1) break;
							var t1 = tstr.substring(0, tstr.indexOf(':'));
							var t2 = tstr.substring(tstr.indexOf(':')+1);
							obj[t1] = t2;
							data = data.substring(data.indexOf('\r')+1);
						}
						self.core.status = obj;
						var $playlist = $(self.parts[2].element);
						$playlist.append('\
								<div class="loop_playback_div" style="width: 100%; border-bottom: 1px solid black;\
								background: lightgrey; position: relative; text-align: center; line-height: 20px;\
								">Loop Playback: <input class="loop_playback"\
								type="checkbox" \></div>\
							');
						for (var i=0; i<self.core.playlist.length; i++){
							var item = self.core.playlist[i];
							var seconds = parseInt(item.duration);
							$playlist.append('\
								<div class="'+item.filename+'" data-filename="'+item.filename+'"\
								style="width: 100%; border-bottom: 1px solid black;\
								cursor: pointer !important; background: white; position: relative;" onclick="\
									$(\'.nvr_selected\').removeClass(\'nvr_selected\');\
									$(this).addClass(\'nvr_selected\');\
								"><img class="'+item.filename+'_play play" src="images/widgets/nvr/greenplay.png"\
									style="height: 16px; display: none;" />&nbsp;<img class="'+item.filename+'_loop loop"\
									src="images/widgets/nvr/looping.png" style="height: 16px; display: none;" />&nbsp;'+
									item.description+'</div>');
						}
					});
					
					
					self.core.channellist = [];
					setInterval(function(){
						self.core.__chanlist = '';
						if (websocket.connected) tcpclient(self.core.nvr.ip, 50001, asciiToHex('channellist\r'), function(data){
							if (self.debug) console.log('from_NVR', data);
							self.core.__chanlist += data;
						}, {last_line: '*', autoclose: false, timeout: false, onDestroy: function(){
							var data = self.core.__chanlist;
							self.core.channellist = [];
							while (data.indexOf('+') !== -1){
								var tobj = {};
								var tstr = data.substring(0, data.indexOf('+'));
								while (tstr.indexOf('\r') !== -1){
									var s1 = tstr.substring(0, tstr.indexOf('\r'));
									var t1 = s1.substring(0, s1.indexOf(':'));
									var t2 = s1.substring(s1.indexOf(':')+1);
									if (t1 !== "") tobj[t1] = t2;
									var tstr = tstr.substring(tstr.indexOf('\r')+1);
								}
								self.core.channellist.push(tobj);
								data = data.substring(data.indexOf('+')+1);
							}
							var tobj = {};
							var tstr = data.substring(0, data.indexOf('*'));
							while (tstr.indexOf('\r') !== -1){
								var s1 = tstr.substring(0, tstr.indexOf('\r'));
								var t1 = s1.substring(0, s1.indexOf(':'));
								var t2 = s1.substring(s1.indexOf(':')+1);
								if (t1 !== "") tobj[t1] = t2;
								var tstr = tstr.substring(tstr.indexOf('\r')+1);
							}
							self.core.channellist.push(tobj);
							var $playlist = $(self.parts[2].element);
							$playlist.find('.play').hide();
							$playlist.find('.loop').hide();
							var channel = parseInt($(self.element).find('.nvrchan_selected').data('channel'))-1;
							
							if (self.debug) console.log('selected_channel', channel);
							
							if (self.core.channellist[channel].isPlay === "1")
								$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+'_play').show();
							if (self.core.channellist[channel].playLoop === "1") 
								$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+'_loop').show();
							
							if (self.core.channellist[channel].playMode === "play")
								$(self.element).find('.play_button').attr('src', 'images/widgets/nvr/pause.png');
							else $(self.element).find('.play_button').attr('src', 'images/widgets/nvr/play.png');
							
							switch (self.core.channellist[channel].playMode){
								case 'idle':
									$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+
										'_play').attr('src', 'images/widgets/nvr/pause.png');
									break;
								case 'play':
									$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+
										'_play').attr('src', 'images/widgets/nvr/greenplay.png');
									break;
								case 'rewind':
									$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+
										'_play').attr('src', 'images/widgets/nvr/rewind.png');
									break;
								case 'ff':
									$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+
										'_play').attr('src', 'images/widgets/nvr/fastforward.png');
									break;
								case 'paused':
									$playlist.find('.'+(self.core.channellist[channel].playFile.replaceAll('.','\\.'))+
										'_play').attr('src', 'images/widgets/nvr/pause.png');
									break;
							}
							if (self.debug) console.log('NVR_channellist', self.core.channellist);
						}});
					}, 5000); 
					
				}}); 
				
				var playbutton = $(self.parts[3].element).find('.play')[0];
				var stopbutton = $(self.parts[3].element).find('.stop')[0];
				var skipbackbutton = $(self.parts[3].element).find('.skipback')[0];
				var rewindbutton = $(self.parts[3].element).find('.rewind')[0];
				var fastforwardbutton = $(self.parts[3].element).find('.fastforward')[0];
				var skipbutton = $(self.parts[3].element).find('.skip')[0];
				
				$(playbutton).css('background-size', '100% 100%');
				$(stopbutton).css('background-size', '100% 100%');
				$(skipbackbutton).css('background-size', '100% 100%');
				$(rewindbutton).css('background-size', '100% 100%');
				$(fastforwardbutton).css('background-size', '100% 100%');
				$(skipbutton).css('background-size', '100% 100%');
				
				playbutton.onclick = function(){
				
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
				
					if (self.debug) console.log('selected_channel', channel);
					
					if (self.core.channellist[channel].isPlay === "1"){
						if (self.core.channellist[channel].playMode === "paused" ||
							self.core.channellist[channel].playMode === "rewind" ||
							self.core.channellist[channel].playMode === "ff"){
							tcpclient(self.core.nvr.ip, 50002, asciiToHex('resume:'+channel+'\r'),
								function(data){}, {timeout: 1, expect_response: false});
							return;
						}
						else {
							tcpclient(self.core.nvr.ip, 50002, asciiToHex('pause:'+channel+'\r'),
								function(data){}, {timeout: 1, expect_response: false});
							return;
						}
					}
					
					var file = $(self.element).find('.nvr_selected').data('filename');
					if (undef(file)){ console.log('err'); return; }
					
					if ($(self.element).find('.loop_playback').prop('checked')) var loop = '1';
					else var loop = '0';
					
					if (self.debug) console.log('selected_channel', channel);
					
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('play:'+channel+','+file+','+loop+'\r'),
						function(data){}, {timeout: 1, expect_response: false});
				}
				
				stopbutton.onclick = function(){
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('stop:'+channel+'\r'),
						function(data){}, {timeout: 1, expect_response: false});
				}
				
				rewindbutton.onclick = function(){
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('rewind:'+channel+'\r'),
						function(data){}, {timeout: 1, expect_response: false});
				}
				
				fastforwardbutton.onclick = function(){
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('forward:'+channel+'\r'),
						function(data){}, {timeout: 1, expect_response: false});
				}
				
				skipbackbutton.onclick = function(){
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('ssrewind:'+channel+',10\r'),
						function(data){}, {timeout: 1, expect_response: false});	
				}
				
				skipbutton.onclick = function(){
					var channel = $(self.element).find('.nvrchan_selected').data('channel');
					if (undef(channel)) channel = 0;
					else channel = parseInt(channel) - 1;
					tcpclient(self.core.nvr.ip, 50002, asciiToHex('ssforward:'+channel+',10\r'),
						function(data){}, {timeout: 1, expect_response: false});	
				}
				
				var count = 0;
				var solechannel = 1;
				for (var i=0; i<self.core.channels.length; i++){
					if (!self.core.channels[i]){
						$(self.element).find('.channel'+(i+1)).removeClass('nvrchan_selected').hide();
					}
					else {
						if (count == 0){
							$(self.element).find('.channel'+(i+1)).click();
							solechannel = i+1;
						}
						count++;
					}
				}
				
				if (count == 0 || count == 1){
					$(self.parts[1].element).hide();
					$(self.parts[2].element).css({
						top: 'calc(0% - 3px)',
						height: 'calc(70% + 2px)'
					});
					$('.nvrchan_selected').removeClass('nvrchan_selected');
					$(self.element).find('.channel'+(solechannel)).addClass('nvrchan_selected');
				}
				
				(function() {
					var ele = self.parts[1].element;
					function scrollHorizontally(e) {
						e = window.event || e;
						var delta = Math.max(-1, Math.min(1, (e.wheelDelta || -e.detail)));
						ele.scrollLeft -= (delta*40); // Multiplied by 40
						e.preventDefault();
					}
					if (ele.addEventListener) {
						// IE9, Chrome, Safari, Opera
						ele.addEventListener("mousewheel", scrollHorizontally, false);
						// Firefox
						ele.addEventListener("DOMMouseScroll", scrollHorizontally, false);
					} else {
						// IE 6/7/8
						ele.attachEvent("onmousewheel", scrollHorizontally);
					}
				})();
				
			}
		}
			
	}

	var tpart = new WidgetPart({
		widget: twidget,
		style: 'position: relative; z-index: 1000000; overflow-y: auto; left: 0%; top: 0%;\
			height: 100%; width: 100%; display: none;',
		className: 'item_child ',
		elementHTML: '<div class="item_child" style="cursor: default; font-size: 18px;\
			width: 100%; height: 100%; color: white; text-align: center;">\
			<br>NVR<br>Widget</div>'
	});
	twidget.addPart(tpart);
	
	var tpart = new WidgetPart({
		widget: twidget,
		style: 'position: absolute; z-index: 1000000; left: 0px; top: 0px; white-space: nowrap; border: 1px solid black; cursor: pointer !important;\
			height: calc(15% + 13px); width: calc(100% - 2px); background: grey; overflow-x: scroll; overflow-y: hidden; z-index: 1;',
		className: 'item_child ',
		elementHTML: '<div class="channel1 resize_W nvrchan_selected" data-channel="1" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; height: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 1</span>\
			</div><div class="channel2 resize_W" data-channel="2" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 2</span>\
			</div><div class="channel3 resize_W" data-channel="3" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 3</span>\
			</div><div class="channel4 resize_W" data-channel="4" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 4</span>\
			</div><div class="channel5 resize_W" data-channel="5" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 5</span>\
			</div><div class="channel6 resize_W" data-channel="6" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 6</span>\
			</div><div class="channel7 resize_W" data-channel="7" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 7</span>\
			</div><div class="channel8 resize_W" data-channel="8" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 8</span>\
			</div><div class="channel9 resize_W" data-channel="9" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 9</span>\
			</div><div class="channel10 resize_W" data-channel="10" data-size="2.5" style="display: inline-table; position: relative;\
				width: calc(50% - 1px); height: 100%; background: grey; font-size: 5px; line-height: 5px;\
				" onclick="\
					$(\'.nvrchan_selected\').removeClass(\'nvrchan_selected\');\
					$(this).addClass(\'nvrchan_selected\');\
				">\
				<span style="width: 100%; text-align: center; display: table-cell; vertical-align: middle;">Channel 10</span>\
			</div>'
	});
	
	twidget.addPart(tpart);
	
	var tpart = new WidgetPart({
		widget: twidget,
		style: 'position: absolute; z-index: 1000000; overflow-y: auto; overflow-x: hidden; word-wrap: break-word;\
			left: 0%; top: calc(15% - 3px);\
			height: calc(55% + 2px); width: calc(100% - 2px); background: grey; border-left: 1px solid black;\
			border-right: 1px solid black; border-top: 1px solid black; z-index: 2;',
		className: 'item_child ',
		elementHTML: ''
	});
	twidget.addPart(tpart);
	
	var tpart = new WidgetPart({
		widget: twidget,
		style: 'position: absolute; z-index: 1000000; left: 0%; top: 70%; overflow: hidden;\
			height: calc(30% - 2px); width: calc(100% - 2px); background: lightgrey; border: 1px solid black;',
		className: 'item_child ',
		elementHTML: '\
			<div class="play bradius_W" data-brsize="1.5" style="position: absolute; left: 26%; top: 2.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img class="play_button" src="images/widgets/nvr/play.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
			<div class="stop bradius_W" data-brsize="1.5" style="position: absolute; left: 51%; top: 2.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img src="images/widgets/nvr/stop.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
			<div class="skipback bradius_W" data-brsize="1.5" style="position: absolute; left: 1%; top: 52.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img src="images/widgets/nvr/skipback.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
			<div class="rewind bradius_W" data-brsize="1.5" style="position: absolute; left: 26%; top: 52.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img src="images/widgets/nvr/rewind.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
			<div class="fastforward bradius_W" data-brsize="1.5" style="position: absolute; left: 51%; top: 52.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img src="images/widgets/nvr/fastforward.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
			<div class="skip bradius_W" data-brsize="1.5" style="position: absolute; left: 76%; top: 52.5%;\
				width: 23%; height: 45%; background: none; background-size: 100% 100%; overflow: hidden; cursor: pointer;">\
				<img src="images/widgets/nvr/skip.png" style="width: 100%; height: 100%; position: absolute; left: 0px; top: 0px;" /></div>\
		' 
	});
	twidget.addPart(tpart);
	
	return twidget;
}